Bug 802704 - Inventory - Filters for a value in a column in a table
Inventory - Filters for a value in a column in a table
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 2.3
: ---
Assigned To: Chad Roberts
Peter Belanyi
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 06:23 EDT by Stanislav Graf
Modified: 2014-11-17 21:24 EST (History)
6 users (show)

See Also:
Fixed In Version: cumin-0.1.5338-1
Doc Type: Bug Fix
Doc Text:
Cause: The filter value on the inventory page was not being applied to nodes that come from the wallaby subsystem. Consequence: All wallaby nodes would always show up in the list. Fix: Apply the filter to the wallaby node set. Result: Filtering by node name is now working on the Inventory page.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:42:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stanislav Graf 2012-03-13 06:23:50 EDT
Description of problem:
In reply to Bug 673180
Cumin - Inventory - Try to filter hostnames
If you filter for non existing hostname it should disappear. Instead only it's sesame data disappear.

Version-Release number of selected component (if applicable):
cumin-0.1.5233-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install cumin with wallaby+sesame
2. Cumin - Inventory
3. filter for non existing hostname
  
Actual results:
If you filter for non existing hostname only it's sesame data disappear.

Expected results:
If you filter for non existing hostname it should disappear.

Additional info:
Comment 1 Chad Roberts 2012-04-09 12:46:37 EDT
Fixed on trunk in revision 5285
Comment 2 Chad Roberts 2012-04-09 12:50:20 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:  The filter value on the inventory page was not being applied to nodes that come from the wallaby subsystem.

Consequence:  All wallaby nodes would always show up in the list.

Fix:  Apply the filter to the wallaby node set.

Result:  Filtering by node name is now working on the Inventory page.
Comment 10 Peter Belanyi 2013-02-05 11:47:11 EST
Reproduced on cumin-0.1.5192-4

Tested on RHEL 5/6 i386/x86_64
cumin-0.1.5658-1

Everything works as expected.

--> VERIFIED
Comment 12 errata-xmlrpc 2013-03-06 13:42:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.